Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.domino
Class Invitation

    java.lang.Object
      com.compoze.domino.AbstractItem
          com.compoze.domino.AbstractDocument
              com.compoze.domino.Memo
                  com.compoze.domino.Appointment
                      com.compoze.domino.Notice
                          com.compoze.domino.Invitation

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  CounteredInvitation, DelegatedInvitation

public class Invitation
extends Notice
implements java.io.Serializable

This class is a Domino invitation. Invitation instances are obtained from the `Documents` class. Methods that access properites on the class require that the properties were loaded beforehand, when the invitation was initially retrieved. Any methods in this class that begin with the string `server` make a query to the server, and require that the `PropertyKey.DOCUMENT_ID` and `PropertyKey.DOCUMENT_TYPE` properties to be loaded beforehand. Any additional property requirements are indicated on each individual method.

See Also:
  `NoticeType.INVITATION`, Serialized Form

Field Summary
`static PropertyKey[]` | `ALL_PROPS` Contains an array of all of the properties available on an invitation.

Fields inherited from class com.compoze.domino.AbstractItem
`m_props, m_session`

Method Summary
`boolean` | `getBroadcast()` Gets the broadcast flag.
`void` | `serverAccept(java.lang.String sComment, boolean bTentative)` Hits the server, accepts the invitation, and removes the appointment from the Inbox.
`void` | `serverAccept(java.lang.String sComment, boolean bTentative, boolean bRemoveFromInbox)` Hits the server and accepts the invitation.
`void` | `serverCounter(java.util.Date startDate, java.util.Date endDate, java.lang.String sComment)` Hits the server and counter proposes the invitation.
`void` | `serverDecline(java.lang.String sComment, boolean bKeepInformed)` Hits the server and declines the invitation.
`void` | `serverDelegate(java.lang.String sDelegee, java.lang.String sComment, boolean bKeepInformed)` Hits the server and delegates the invitation.
`void` | `serverRequestInfo(java.lang.String sComment)` Hits the server and request information about the invitation.

Methods inherited from class com.compoze.domino.Notice
`getAppointmentID, getNoticeType, getStatusUpdate, getTitle, getTitle, getTopic, serverRemove`

Methods inherited from class com.compoze.domino.Appointment
`getAppointmentType, getChair, getEndDateTime, getEndDateTimeString, getInstanceType, getLocation, getPreventCounter, getPreventDelegate, getPrincipal, getStartDateTime, getStartDateTimeString, isAllDayEvent, isAnniversary, isBookFreeTime, isChair, isChair, isMarkPrivate, isRepeating, serverCancel, serverCancel, serverCancel, serverConfirm, serverDelete, serverDelete, serverGetInstanceInfoArray, serverGetRepeatPattern, serverGetResponses, serverSetRepeatPattern, serverUpdate, serverUpdate, serverUpdate, serverUpdate, setBookFreeTime, setDateTimes, setLocation, setMarkPrivate, setPreventCounter, setPreventDelegate, subList, subList`

Methods inherited from class com.compoze.domino.Memo
`getBody, getBodyHtml, getBodyHtml, getBodyStoredFormHtml, getBodyStoredFormHtml, getDeliveredDate, getDeliveredDateString, getDeliveryPriority, getDeliveryReportLevel, getFollowUpDate, getFollowUpStatus, getFollowUpText, getImportance, getMemoDate, getMemoDateString, getNormalizedSubject, getPostedDate, getPostedDateString, getPreventCopy, getRecipientInfoArray, getReturnReceipt, getSenderInfo, getSenderName, getSubject, getSubject, getSubject, getSubject, getUnread, isEncrypted, serverForward, serverReply, serverSaveAsDraft, serverSaveAsDraft, serverSaveAsDraft, serverSaveAsDraft, setBody, setBodyHtml, setDeliveryPriority, setDeliveryReportLevel, setFollowUpDate, setFollowUpStatus, setFollowUpText, setImportance, setPreventCopy, setReturnReceipt, setSubject, setUnread`

Methods inherited from class com.compoze.domino.AbstractDocument
`getAttachmentCount, getAttachmentInfo, getAttachmentInfoArray, getDateCreated, getDateCreatedString, getDateModified, getDateModifiedString, getDocumentType, getEmbeddedImageCount, getEmbeddedImageInfo, getEmbeddedImageInfoArray, getID, getParentID, getSize, getSizeInKilos, hasAttachment, serverAddAttachment, serverCopyTo, serverDeleteAttachment, serverMoveTo`

Methods inherited from class com.compoze.domino.AbstractItem
`get, getBoolean, getDate, getDateArray, getDouble, getInt, getPropertyKeys, getString, getStringArray, getUpdatedPropertyValues, set, setBoolean, setDate, setDouble, setInt, setString, setStringArray`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ALL_PROPS

    public static final PropertyKey[] ALL_PROPS

  Contains an array of all of the properties available on an invitation. Although this can be used when specifying property keys to retrieve, it's preferable to only specify the keys that are required as the number of properties that are pulled back from the server has a direct impact on performance.

Method Detail

### serverAccept

    public void serverAccept(java.lang.String sComment,
                             boolean bTentative)
                      throws DominoException

  Hits the server, accepts the invitation, and removes the appointment from the Inbox.

  Parameters:
    `sComment` - the comment or `null` for no comment
    `bTentative` - `true` to tentatively accept; `false` otherwise
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.TOPIC`

### serverAccept

    public void serverAccept(java.lang.String sComment,
                             boolean bTentative,
                             boolean bRemoveFromInbox)
                      throws DominoException

  Hits the server and accepts the invitation.

  Parameters:
    `sComment` - the comment or `null` for no comment
    `bTentative` - `true` to tentatively accept; `false` otherwise
    `bRemoveFromInbox` - `true` to remove appointment from Inbox; `false` to keep
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.TOPIC`

### serverDecline

    public void serverDecline(java.lang.String sComment,
                              boolean bKeepInformed)
                       throws DominoException

  Hits the server and declines the invitation.

  Parameters:
    `sComment` - the comment or `null` for no comment
    `bKeepInformed` - `true` to keep informed of event updates
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.TOPIC`

### serverDelegate

    public void serverDelegate(java.lang.String sDelegee,
                               java.lang.String sComment,
                               boolean bKeepInformed)
                        throws DominoException

  Hits the server and delegates the invitation. Delegation is not allowed on invitations that have the prevent delegate flag set.

  Parameters:
    `sDelegee` - the delegee name (must not be `null` or empty)
    `sComment` - the comment or `null` for no comment
    `bKeepInformed` - `true` to keep informed of event updates
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.TOPIC`, `PropertyKey.PREVENT_DELEGATE`, `Appointment.getPreventDelegate()`

### serverCounter

    public void serverCounter(java.util.Date startDate,
                              java.util.Date endDate,
                              java.lang.String sComment)
                       throws DominoException

  Hits the server and counter proposes the invitation. Counter proposals are not allowed on invitations that are repeating or have the prevent counter flag set.

  Note: the start date must be before the end date. If not, the dates are swapped. Counter proposal times cannot span midnight therefore, only the time component of the end date is used. This time must still be before the start date.

  Parameters:
    `startDate` - the proposed start date and time (must not be `null`)
    `endDate` - the proposed end date and time (must not be `null`)
    `sComment` - the comment or `null` for no comment
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.TOPIC`, `PropertyKey.PREVENT_COUNTER`, `Appointment.getPreventCounter()`, `Appointment.isRepeating()`

### serverRequestInfo

    public void serverRequestInfo(java.lang.String sComment)
                           throws DominoException

  Hits the server and request information about the invitation.

  Parameters:
    `sComment` - the comment or `null` for no comment
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.TOPIC`

### getBroadcast

    public boolean getBroadcast()
                         throws DominoException

  Gets the broadcast flag. If this flag is set, you are not required to respond.

  Returns:
    `true` if this is a broadcast; `false` otherwise
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.BROADCAST`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.